Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157821 - too easy to lock terminal by mistake
Summary: too easy to lock terminal by mistake
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: screen
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 238122
TreeView+ depends on / blocked
 
Reported: 2005-05-16 07:58 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-17 16:21:19 UTC


Attachments (Terms of Use)

Description Jens Petersen 2005-05-16 07:58:54 UTC
Description of problem:
It has happened to me too many times that I have locked
the terminal by mistake - eg while using emacs inside a screen
session.
  
Actual results:
It is too easy to press ^ax or ^a^x.

Expected results:
Would be better if lockscreen was bound to ^aX.

Additional info:
Also in the current screenrc file, some of the binding
are repeated.  Is that intentional?

Comment 1 Petr Rockai 2006-01-17 16:21:19 UTC
The shortcut is changed to ^aX. The bindings are repeated because the example 
user screenrc is cat'd at the end of the /etc/screenrc file, but why is beyond 
me. I will check it out and eventually merge useful changes into 
real /etc/screenrc and get rid of the cat. 


Note You need to log in before you can comment on or make changes to this bug.